Skip to main content
POST
Execute a macro

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

id
integer
required

The numeric ID of the macro.

Example:

2

Body

application/json
conversation_ids
integer[]
required

The conversations to run the macro against, by display_id.

Example:

Response

Accepted — the macro has been queued